%define name xmms-morestate
%define version 1.2
%define release 3mdk

Summary: Maintain xmms state information
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/xmms-morestate/%{name}-%{version}.tar.bz2
URL: http://sourceforge.net/projects/xmms-morestate/
License: GPL
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libxmms-devel
Requires: xmms
Provides: xmms_morestate
Obsoletes: xmms_morestate

%description

The XMMS Morestate/Autoplay plugin restores some additional settings:
volume (esd only), song time, and playing/paused status.

It can also make XMMS start playing on start. It can start at the
beginning of the playlist, at a random position or at the position the
last XMMS-Session stopped.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm  -f %buildroot%_libdir/xmms/General/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS README TODO ChangeLog
%_libdir/xmms/General/libmorestate.so

%changelog
* Fri Sep  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2-3mdk
- add source URL
- fix buildrequires

* Fri Aug 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2-2mdk
- fix description

* Wed Aug 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2-1mdk
- remove prefix
- new version

* Mon Feb 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1-1mdk
- fix build
- fix description
- rename package
- new version

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.1.2-1mdk
- new version

* Wed Nov 20 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.1.1-1mdk
- new version

* Wed Oct  9 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.1.0-1mdk
- initial Mandrake package

